array_diff
array_fill
Funções para Array
PHP Manual

# array_fill_keys

(PHP 5 >= 5.2.0)

array_fill_keys — Preenche um array com valores, especificando chaves

### Descrição

array array_fill_keys ( array `$keys` , mixed `$value` )

Preenche um array com o valor do parâmetro `value` , usando os valores do array `keys` como chaves.

### Parâmetros

`keys`

  Array de valores que serão usados como chaves. Valores ilegais para chaves serão convertidos para string.

`value`

  Valor para usar no preenchimento

### Valor Retornado

Retorna o array preenchido

### Exemplos

Exemplo #1 Exemplo da array_fill_keys()

`<?php
$keys = array('foo', 5, 10, 'bar');
$a = array_fill_keys($keys, 'banana');
print_r($a);
?>`

O exemplo acima irá imprimir:

    Array
    (
        [foo] => banana
        [5] => banana
        [10] => banana
        [bar] => banana
    )

### Veja Também

- array_fill()
- array_combine()

array_diff
array_fill
Funções para Array
PHP Manual